%define upstream_name    Test-TAP-Model
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Accessible (queryable, serializable object) result collector
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Method::Alias)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::Harness::Straps) >= 0.300.0
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This module is a subclass of the Test::Harness::Straps manpage (although in
an ideal world it would really use delegation).

It uses callbacks in the straps object to construct a deep structure, with
all the data known about a test run accessible within.

It's purpose is to ease the processing of test data, for the purpose of
generating reports, or something like that.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std
rm -f %{buildroot}%{perl_vendorlib}/Test/TAP/example.pl

%files
%doc Changes example.pl META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1034651
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 932443
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 750398
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 686553
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 515378
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 373813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 34287
- mageia rebuild
- update buildrequires:
- mageia rebuild
- imported package perl-Test-TAP-Model


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 405598
- rebuild using %%perl_convert_version

* Tue Sep 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-2mdv2009.0
+ Revision: 283296
- examples belongs to documentation (fix conflict with perl-Test-TAP-Matrix)

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2009.0
+ Revision: 227977
- update to new version 0.10

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.0
+ Revision: 213837
- import perl-Test-TAP-Model


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.0
- first mdv release
